// Muestreo de una señal utilizando un puerto de entrada analógico

#define FS 1000.0 //Frecuencia de muestreo (Hz)
#define T_delay (1000000/FS) //ms

const int analogInput= A0; // Seleccion de puerto de ntrada analogica para sensar señal
int t = 0;
unsigned long b, a = 0;
int bits = 12;
int sensorValue;
float signalValue;


void setup() {
  Serial.begin(115200);
  Serial.println("Ao");
  analogReadResolution(bits);
}

void loop() {
  a = micros();
  Serial.println(abs(a - b));
  t = t + abs(a - b);
  
  b = a;
  
  sensorValue = analogRead(analogInput); // Lectura en bits del pin analogico 
  signalValue = map(sensorValue, 0, pow(2, bits)-1, 0, 3300); // Conversión a mV de la lectura en bits
  
  //Serial.println(signalValue);

  // after the last reading:
  while ( micros() < (a + T_delay) ) {

  }
}
