#define FS 500.0 //Frecuencia de muestreo (Hz)
#define T_delay (1000000/FS) 

const int output = DAC1; // Seleccion de la salida analogica
int amplitud = 3300; // Amplitud del seno en mV
float f = 5; // Frecuencia del seno en Hz

int bits = 12; // Resolucion del conversor D/A
int amplitud_bits = map(amplitud, 0, 3300, 0, pow(2,12)-1); // Amplitud del seno en bits
double t = 0; 
double value = 0;
unsigned long b, a = 0;


void setup() {
  analogWriteResolution(8);
}

 
void loop() {
  a = micros();
  t = t + abs(a - b);
  b = a;

  value = (amplitud_bits/2)*sin ( 2*3.1416*f*t/1000000) + (amplitud_bits/2);
  analogWrite(output, value);
  
  while ( micros() < (a + T_delay) ) {
  }
}
