#define T_delay 500

const int analogInPin = A0; //seleccion de la salida analogica
int amplitud = 3300; // Amplitud del escalon en mV entre 0 y 3300
int bits = 12; //Resolucion del conversor D/A

int amplitud_bits = map(amplitud, 0, 3300, 0, pow(2, bits)-1); // Mapeo de la amplitud a bits
int value = 0;

void setup() {
  analogWriteResolution(bits);
}

void loop() {
  analogWrite(DAC1, value);
  value++;
  delayMicroseconds(T_delay);
  if (value>amplitud){
    value = 0;
  }
}
